var cells=
[
["grafici","I GRAFICI","border:1px dashed gray;background:#f2f2f2;grid-column:6/span 2;grid-row:1;","fond","audio/grafici.mp3"],
["sono","SONO","border:1px dashed gray;background:#ffffa1;grid-column:5;grid-row:1;","fond","audio/sono.mp3"],
["rappresentazioni","RAPPRESENTAZONI GRAFICHE DI DATI STATISTICI","border:1px dashed gray;background:#ffffc9;grid-column:1/span 4;grid-row:1;","fond","audio/rappresentazioni.mp3"],
["possono","POSSONO ESSERE","border:1px dashed gray;background:#f2f2f2;grid-column:6/span 2;grid-row:2;","fond","audio/possono.mp3"],
["istogrammi","<b>ISTOGRAMMI</b><img src='imgs/finestra.png' />","border:1px dashed gray;background:#a1ffff;grid-column:1/span 3;grid-row:3;","graf/istogrammi.html","audio/istogrammi.mp3"],
["istogrammi2","CONFRONTANO TRA LORO PIÙ GRANDEZZE O QUANTITÀ<br><img src='imgs/istogramma.png' style='width:100%' />","border:1px dashed gray;background:#c9ffff;grid-column:1/span 3;grid-row:4/span 2;","fond","audio/istogrammi2.mp3"],
["diagrammi","<b>DIAGRAMMI</b><img src='imgs/finestra.png' />","border:1px dashed gray;background:#a1ffff;grid-column:4/span 3;grid-row:3;","fond","audio/diagrammi.mp3"],
["diagrammi2","UTILI SE SI VOGLIONO MOSTRARE VARIAZIONI DEI DATI NEL TEMPO<br><img src='imgs/diagramma.png' style='width:100%' />","border:1px dashed gray;background:#c9ffff;grid-column:4/span 3;grid-row:4/span 2;","fond","audio/diagrammi2.mp3"],
["aerogrammi","<b>AEROGRAMMI</b><img src='imgs/finestra.png' />","border:1px dashed gray;background:#a1ffff;grid-column:7/span 3;grid-row:3;","fond","audio/aerogrammi.mp3"],
["aerogrammi2","RAPPRESENTANO LA RELAZIONE DI PIÙ PARTI RISPETTO AL TOTALE<br><img src='imgs/areogramma.png' style='width:100%' />","border:1px dashed gray;background:#c9ffff;grid-column:7/span 3;grid-row:4/span 2;","fond","audio/aerogrammi2.mp3"],
["ideogrammi","<b>IDEOGRAMMI</b><img src='imgs/finestra.png' />","border:1px dashed gray;background:#a1ffff;grid-column:10/span 3;grid-row:3;","fond","audio/ideogrammi.mp3"],
["ideogrammi2","IMMAGINI CHE RICHIAMANO QUELLO CHE SI ANALIZZA<br><img src='imgs/ideogramma.png' style='width:100%' />","border:1px dashed gray;background:#c9ffff;grid-column:10/span 3;grid-row:4/span 2;","fond","audio/ideogrammi2.mp3"],
["cartogrammi","<b>CARTOGRAMMI</b><img src='imgs/finestra.png' />","border:1px dashed gray;background:#a1ffff;grid-column:8/span 2;grid-row:1;","fond","audio/cartogrammi.mp3"],
["cartogrammi2","<img src='imgs/cartogramma.png' style='width:20%;float:left' />MOSTRANO LA DISTRIBUZIONE DI DATI SU DI UN TERRITORIO","border:1px dashed gray;background:#c9ffff;grid-column:10/span 3;grid-row:1/span 2;","fond","audio/cartogrammi2.mp3"],
["fond","","border-width:0px;background:#ffffff","fond",""],
];
var len = cells.length;	
function apri(url) 
{ 	let newin = window.open(url,'news','scrollbars=no,resizable=yes, left=300,top=50,width=1000,height=800,status=no,location=no,toolbar=no'); 
} 
function cleanButtons()
{	let y=document.getElementById(cells[0][0]);
	let h=document.getElementById(cells[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(cells[b][0]).style.background="white";
		document.getElementById(cells[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(cells[i][0]);
		k.style=cells[i][2];
		k.innerHTML=cells[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(cells[g][0]);
		k.style=cells[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("grafici").innerHTML=cells[0][1];
	document.getElementById("grafici").style=cells[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=cells[i][1];
				document.getElementById(cells[i+1][0]).style=cells[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(cells[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(cells[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	return;
}
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}

